## python-glance-store 1.0.0

=== debian/changelog ===
python-glance-store (1.0.0-0ubuntu1~cloud0) bionic-train; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 25 Sep 2019 23:54:52 +0000

python-glance-store (1.0.0-0ubuntu1) eoan; urgency=medium

  * New upstream release for OpenStack Train.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 25 Sep 2019 14:08:30 -0400

python-glance-store (0.29.1-0ubuntu1) eoan; urgency=medium

  * New upstream release for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/prevent-unicode-object-error-from-zero-byte-read: Dropped. Fixed
    in new upstream release.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 30 Jul 2019 15:29:04 -0400

python-glance-store (0.28.0-0ubuntu3) eoan; urgency=medium

  * Drop support for Python 2:
    - d/control: Drop python-glance-store and glance-store-common
      binary packages.
    - d/control: Breaks/Replaces python3-glance-store -> glance-store-common.
    - d/control: Drop BDI's on python-*.
    - d/rules: Skip install and test of Python 2 module.
    - d/python3-glance-store.install: Move install of configuration files
      to Python 3 module.

 -- James Page <james.page@ubuntu.com>  Thu, 11 Jul 2019 07:08:34 +0100

python-glance-store (0.28.0-0ubuntu2) eoan; urgency=medium

  * d/p/prevent-unicode-object-error-from-zero-byte-read: Fix unicode
    issue (LP: #1805332).

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Wed, 24 Apr 2019 13:46:56 +0100

python-glance-store (0.28.0-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 11 Mar 2019 14:18:25 -0400

python-glance-store (0.27.0-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.
  * d/p/drop-doc8.patch: Drop, included upstream.

 -- James Page <james.page@ubuntu.com>  Tue, 20 Nov 2018 10:07:17 +0000

python-glance-store (0.26.1-0ubuntu2) cosmic; urgency=medium

  * d/p/drop-doc8.patch: Drop runtime requirement on doc8; its used
    for style checking of RST documentation so is build time only.

 -- James Page <james.page@ubuntu.com>  Tue, 14 Aug 2018 14:31:58 +0100

python-glance-store (0.26.1-0ubuntu1) cosmic; urgency=medium

  * New upstream point release for OpenStack Rocky.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 10 Aug 2018 15:32:53 -0400

python-glance-store (0.26.0-0ubuntu1) cosmic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/control: Enable autopkgtest-pkg-python testsuite.
    - d/gbp.conf: Retain for gbp and pristine-tar config.
    - d/watch: Get tarball from tarballs.openstack.org.
    - d/rules: Skip tests for Py3.7.
  * New upstream release for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.
  * d/rules: Run tests with stestr.
  * d/p/drop-sphinxcontrib-apidoc.patch: Drop sphinxcontrib.apidoc extension
    until package is available.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 06 Aug 2018 10:40:13 -0400

=== debian/control ===
Source: python-glance-store
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Corey Bryant <corey.bryant@canonical.com>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 python3-boto (>= 2.32.1),
 python3-cinderclient (>= 1:3.3.0),
 python3-coverage (>= 4.0),
 python3-debtcollector,
 python3-doc8 (>= 0.6.0),
 python3-eventlet (>= 0.18.2),
 python3-fixtures (>= 3.0.0),
 python3-gridfs,
 python3-hacking (>= 0.12.0),
 python3-httplib2 (>= 0.9.1),
 python3-jsonschema (>= 2.6.0),
 python3-keystoneauth1 (>= 3.4.0),
 python3-keystoneclient (>= 1:3.8.0),
 python3-mock (>= 2.0.0),
 python3-openstackdocstheme (>= 1.18.1),
 python3-os-brick (>= 2.2.0),
 python3-os-testr (>= 1.0.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.privsep (>= 1.23.0),
 python3-oslo.rootwrap (>= 5.8.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslo.vmware (>= 2.17.0),
 python3-oslotest (>= 1:3.2.0),
 python3-pymongo,
 python3-reno (>= 2.5.0),
 python3-requests (>= 2.14.2),
 python3-requests-mock (>= 1.2.0),
 python3-six (>= 1.10.0),
 python3-sphinxcontrib.apidoc (>= 0.2.0),
 python3-stestr (>= 2.0.0),
 python3-stevedore (>= 1:1.20.0),
 python3-subunit (>= 1.0.0),
 python3-swiftclient (>= 1:3.2.0),
 python3-testrepository (>= 0.0.18),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 subunit,
Standards-Version: 4.1.3
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=openstack/python-glance-store.git
Vcs-Git: https://anonscm.debian.org/git/openstack/python-glance-store.git
Homepage: https://github.com/openstack/glance_store
Testsuite: autopkgtest-pkg-python

Package: python-glance-store-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack Image Service store library - doc
 The Glance project provides services for discovering, registering, and
 retrieving virtual machine images over the cloud. They may be stand-alone
 services, or may be used to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the documentation.

Package: python3-glance-store
Architecture: all
Depends:
 python3-cinderclient (>= 1:3.3.0),
 python3-debtcollector,
 python3-eventlet (>= 0.18.2),
 python3-httplib2,
 python3-jsonschema (>= 2.6.0),
 python3-keystoneauth1 (>= 3.4.0),
 python3-keystoneclient (>= 1:3.8.0),
 python3-os-brick (>= 2.2.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.privsep (>= 1.23.0),
 python3-oslo.rootwrap (>= 5.8.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslo.vmware (>= 2.17.0),
 python3-pbr (>= 2.0.0),
 python3-requests (>= 2.14.2),
 python3-six (>= 1.10.0),
 python3-stevedore (>= 1:1.20.0),
 python3-swiftclient,
 ${misc:Depends},
 ${python3:Depends},
Breaks:
 glance-store-common (<< 0.28.0-0ubuntu3~),
Replaces:
 glance-store-common (<< 0.28.0-0ubuntu3~),
Description: OpenStack Image Service store library - Python 3.x
 The Glance project provides services for discovering, registering, and
 retrieving virtual machine images over the cloud. They may be stand-alone
 services, or may be used to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the Python 3.x module for the Glance's stores.

=== debian/rules ===
#!/usr/bin/make -f

LAST_CHANGE = $(shell dpkg-parsechangelog -S Date)
BUILD_DATE  = $(shell LC_ALL=C date -u "+%B %d, %Y" -d "$(LAST_CHANGE)")
SPHINXOPTS := -D html_last_updated_fmt="$(BUILD_DATE)"

UPSTREAM_GIT := https://github.com/openstack/glance_store.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build .testrepository

override_dh_sphinxdoc:
	sphinx-build $(SPHINXOPTS) -b html doc/source debian/python-glance-store-doc/usr/share/doc/python-glance-store-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils

## python-glance-store 1.0.1

=== debian/changelog ===
python-glance-store (1.0.1-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Oct 2019 09:13:32 +0200

python-glance-store (1.0.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 01 Oct 2019 09:27:15 +0200

python-glance-store (1.0.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

  [ Thomas Goirand ]
  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 17 Sep 2019 22:12:07 +0200

=== debian/control ===
Source: python-glance-store
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Corey Bryant <corey.bryant@canonical.com>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-boto,
 python3-cinderclient,
 python3-coverage,
 python3-eventlet,
 python3-fixtures,
 python3-gridfs,
 python3-hacking,
 python3-httplib2,
 python3-jsonschema,
 python3-keystoneauth1,
 python3-keystoneclient,
 python3-mock,
 python3-openstackdocstheme,
 python3-os-brick,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.i18n,
 python3-oslo.privsep,
 python3-oslo.rootwrap,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-oslo.vmware,
 python3-oslotest,
 python3-pymongo,
 python3-requests,
 python3-requests-mock,
 python3-six,
 python3-sphinxcontrib.apidoc,
 python3-stestr,
 python3-stevedore,
 python3-subunit,
 python3-swiftclient,
 python3-testscenarios,
 python3-testtools,
 subunit,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-glance-store
Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-glance-store.git
Homepage: https://github.com/openstack/glance_store

Package: glance-store-common
Architecture: all
Depends:
 ${misc:Depends},
Description: OpenStack Image Service store library - common files
 The Glance project provides services for discovering, registering, and
 retrieving virtual machine images over the cloud. They may be stand-alone
 services, or may be used to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains shared configuration files for the Glance's stores.

Package: python-glance-store-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack Image Service store library - doc
 The Glance project provides services for discovering, registering, and
 retrieving virtual machine images over the cloud. They may be stand-alone
 services, or may be used to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the documentation.

Package: python3-glance-store
Architecture: all
Depends:
 glance-store-common (= ${binary:Version}),
 python3-cinderclient,
 python3-eventlet,
 python3-httplib2,
 python3-jsonschema,
 python3-keystoneauth1,
 python3-keystoneclient,
 python3-os-brick,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.i18n,
 python3-oslo.privsep,
 python3-oslo.rootwrap,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-oslo.vmware,
 python3-pbr,
 python3-requests,
 python3-six,
 python3-stevedore,
 python3-swiftclient,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Image Service store library - Python 3.x
 The Glance project provides services for discovering, registering, and
 retrieving virtual machine images over the cloud. They may be stand-alone
 services, or may be used to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the Python 3.x module for the Glance's stores.

## python-glance-store 1.1.0

=== debian/changelog ===
python-glance-store (1.1.0-0ubuntu2) focal; urgency=medium

  * d/rules: Install binary and library code with pkgos-dh_auto_install,
    installing directly to debian/python3-glance-store/usr/.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 03 Feb 2020 15:20:07 -0500

python-glance-store (1.1.0-0ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/control: Enable autopkgtest-pkg-python testsuite.
    - d/gbp.conf: Retain for gbp and pristine-tar config.
    - d/watch: Get tarball from tarballs.openstack.org.
    - d/control: Drop glance-store-common binary packages.
    - d/control: Breaks/Replaces python3-glance-store -> glance-store-common.
    - d/python3-glance-store.*: Dropped. No need to update alternatives.
  * New upstream release for OpenStack Ussuri.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Thu, 30 Jan 2020 10:41:32 +0100

=== debian/control ===
Source: python-glance-store
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Corey Bryant <corey.bryant@canonical.com>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 python3-boto (>= 2.32.1),
 python3-cinderclient (>= 1:3.3.0),
 python3-coverage (>= 4.0),
 python3-debtcollector,
 python3-doc8 (>= 0.6.0),
 python3-eventlet (>= 0.18.2),
 python3-fixtures (>= 3.0.0),
 python3-gridfs,
 python3-hacking (>= 0.12.0),
 python3-httplib2 (>= 0.9.1),
 python3-jsonschema (>= 2.6.0),
 python3-keystoneauth1 (>= 3.4.0),
 python3-keystoneclient (>= 1:3.8.0),
 python3-mock (>= 2.0.0),
 python3-openstackdocstheme (>= 1.18.1),
 python3-os-brick (>= 2.2.0),
 python3-os-testr (>= 1.0.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.privsep (>= 1.23.0),
 python3-oslo.rootwrap (>= 5.8.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslo.vmware (>= 2.17.0),
 python3-oslotest (>= 1:3.2.0),
 python3-pymongo,
 python3-reno (>= 2.5.0),
 python3-requests (>= 2.14.2),
 python3-requests-mock (>= 1.2.0),
 python3-six (>= 1.10.0),
 python3-sphinxcontrib.apidoc (>= 0.2.0),
 python3-stestr (>= 2.0.0),
 python3-stevedore (>= 1:1.20.0),
 python3-subunit (>= 1.0.0),
 python3-swiftclient (>= 1:3.2.0),
 python3-testrepository (>= 0.0.18),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 subunit,
Standards-Version: 4.4.1
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=openstack/python-glance-store.git
Vcs-Git: https://anonscm.debian.org/git/openstack/python-glance-store.git
Homepage: https://github.com/openstack/glance_store
Testsuite: autopkgtest-pkg-python

Package: python-glance-store-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack Image Service store library - doc
 The Glance project provides services for discovering, registering, and
 retrieving virtual machine images over the cloud. They may be stand-alone
 services, or may be used to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the documentation.

Package: python3-glance-store
Architecture: all
Depends:
 python3-cinderclient (>= 1:3.3.0),
 python3-debtcollector,
 python3-eventlet (>= 0.18.2),
 python3-httplib2,
 python3-jsonschema (>= 2.6.0),
 python3-keystoneauth1 (>= 3.4.0),
 python3-keystoneclient (>= 1:3.8.0),
 python3-os-brick (>= 2.2.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.privsep (>= 1.23.0),
 python3-oslo.rootwrap (>= 5.8.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslo.vmware (>= 2.17.0),
 python3-pbr (>= 2.0.0),
 python3-requests (>= 2.14.2),
 python3-six (>= 1.10.0),
 python3-stevedore (>= 1:1.20.0),
 python3-swiftclient,
 ${misc:Depends},
 ${python3:Depends},
Breaks:
 glance-store-common (<< 0.28.0-0ubuntu3~),
Replaces:
 glance-store-common (<< 0.28.0-0ubuntu3~),
Description: OpenStack Image Service store library - Python 3.x
 The Glance project provides services for discovering, registering, and
 retrieving virtual machine images over the cloud. They may be stand-alone
 services, or may be used to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the Python 3.x module for the Glance's stores.

## python-glance-store 2.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
oslo.config>=5.2.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
oslo.concurrency>=3.26.0 # Apache-2.0
stevedore>=1.20.0 # Apache-2.0
enum34>=1.0.4;python_version=='2.7' or python_version=='2.6' or python_version=='3.3' # BSD
eventlet!=0.18.3,!=0.20.1,>=0.18.2 # MIT
six>=1.10.0 # MIT

jsonschema>=2.6.0 # MIT
keystoneauth1>=3.4.0 # Apache-2.0
python-keystoneclient>=3.8.0 # Apache-2.0
requests>=2.14.2 # Apache-2.0

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
sphinx!=1.6.6,!=1.6.7,>=1.6.2,<2.0.0;python_version=='2.7'  # BSD
sphinx!=1.6.6,!=1.6.7,>=1.6.2;python_version>='3.4'  # BSD
openstackdocstheme>=1.18.1 # Apache-2.0
reno>=2.5.0 # Apache-2.0
sphinxcontrib-apidoc>=0.2.0  # BSD

=== debian/changelog ===
python-glance-store (2.0.0-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Apr 2020 10:30:08 -0400

python-glance-store (1.1.0-0ubuntu3) focal; urgency=medium

  * d/python3-glance-store.install: Fix installation of /etc/glance.
  * d/python3-glance-store.postinst: Added since glance-store installs to
    /etc/glance/rootwrap.d. Set default ownership and permissions for
    /etc/<pkg> (LP: #1859422).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 26 Mar 2020 09:33:55 -0400

=== debian/control ===
--- 
+++ 
@@ -16,6 +16,7 @@
  python3-sphinx (>= 1.6.2),
 Build-Depends-Indep:
  python3-boto (>= 2.32.1),
+ python3-boto3 (>= 1.9.199),
  python3-cinderclient (>= 1:3.3.0),
  python3-coverage (>= 4.0),
  python3-debtcollector,

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
    http://tarballs.openstack.org/glance_store/ glance_store-(\d.*)\.tar\.gz

## python-glance-store 2.3.0

=== requirements.txt ===
--- 
+++ 
@@ -7,11 +7,10 @@
 oslo.utils>=3.33.0 # Apache-2.0
 oslo.concurrency>=3.26.0 # Apache-2.0
 stevedore>=1.20.0 # Apache-2.0
-enum34>=1.0.4;python_version=='2.7' or python_version=='2.6' or python_version=='3.3' # BSD
 eventlet!=0.18.3,!=0.20.1,>=0.18.2 # MIT
 six>=1.10.0 # MIT
 
-jsonschema>=2.6.0 # MIT
+jsonschema>=3.2.0 # MIT
 keystoneauth1>=3.4.0 # Apache-2.0
 python-keystoneclient>=3.8.0 # Apache-2.0
 requests>=2.14.2 # Apache-2.0

=== debian/changelog ===
python-glance-store (2.3.0-4) unstable; urgency=medium

  * glance-store-common.preinst: remove /etc/glance/rootwrap.conf, if it was
    an unmodified filed by the glance-common postinst, to avoid dpkg
    interactive prompting. (Closes: #984613)

 -- Thomas Goirand <zigo@debian.org>  Wed, 10 Mar 2021 10:58:01 +0100

python-glance-store (2.3.0-3) unstable; urgency=medium

  * Correctly install files in /etc/glance.
  * Standards-Version: 4.5.0.
  * Use debhelper-compat = 11.

 -- Thomas Goirand <zigo@debian.org>  Fri, 16 Oct 2020 13:52:38 +0200

python-glance-store (2.3.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Add a debian/salsa-ci.yml.

 -- Thomas Goirand <zigo@debian.org>  Wed, 14 Oct 2020 23:10:36 +0200

python-glance-store (2.3.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 07 Sep 2020 14:38:18 +0200

python-glance-store (2.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 08 May 2020 10:56:38 +0200

python-glance-store (2.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Add python3-boto3 as build-depends.

 -- Thomas Goirand <zigo@debian.org>  Mon, 06 Apr 2020 17:34:50 +0200

=== debian/control ===
Source: python-glance-store
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Corey Bryant <corey.bryant@canonical.com>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-boto,
 python3-boto3,
 python3-cinderclient (>= 1:4.1.0),
 python3-coverage,
 python3-eventlet,
 python3-fixtures,
 python3-gridfs,
 python3-hacking,
 python3-httplib2,
 python3-jsonschema (>= 3.2.0),
 python3-keystoneauth1,
 python3-keystoneclient,
 python3-openstackdocstheme,
 python3-os-brick (>= 2.6.0),
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.i18n,
 python3-oslo.privsep,
 python3-oslo.rootwrap,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-oslo.vmware,
 python3-oslotest,
 python3-pymongo,
 python3-requests,
 python3-requests-mock,
 python3-six,
 python3-sphinxcontrib.apidoc,
 python3-stestr,
 python3-stevedore,
 python3-subunit,
 python3-swiftclient,
 python3-testscenarios,
 python3-testtools,
 subunit,
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-glance-store
Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-glance-store.git
Homepage: https://github.com/openstack/glance_store

Package: glance-store-common
Architecture: all
Depends:
 ${misc:Depends},
Description: OpenStack Image Service store library - common files
 The Glance project provides services for discovering, registering, and
 retrieving virtual machine images over the cloud. They may be stand-alone
 services, or may be used to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains shared configuration files for the Glance's stores.

Package: python-glance-store-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack Image Service store library - doc
 The Glance project provides services for discovering, registering, and
 retrieving virtual machine images over the cloud. They may be stand-alone
 services, or may be used to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the documentation.

Package: python3-glance-store
Architecture: all
Depends:
 glance-store-common (= ${binary:Version}),
 python3-cinderclient (>= 1:4.1.0),
 python3-eventlet,
 python3-httplib2,
 python3-jsonschema (>= 3.2.0),
 python3-keystoneauth1,
 python3-keystoneclient,
 python3-os-brick (>= 2.6.0),
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.i18n,
 python3-oslo.privsep,
 python3-oslo.rootwrap,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-oslo.vmware,
 python3-pbr,
 python3-requests,
 python3-six,
 python3-stevedore,
 python3-swiftclient,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Image Service store library - Python 3.x
 The Glance project provides services for discovering, registering, and
 retrieving virtual machine images over the cloud. They may be stand-alone
 services, or may be used to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the Python 3.x module for the Glance's stores.

=== debian/rules ===
#!/usr/bin/make -f

LAST_CHANGE = $(shell dpkg-parsechangelog -S Date)
BUILD_DATE  = $(shell LC_ALL=C date -u "+%B %d, %Y" -d "$(LAST_CHANGE)")
SPHINXOPTS := -D html_last_updated_fmt="$(BUILD_DATE)"

UPSTREAM_GIT := https://github.com/openstack/glance_store.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build .stestr
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	for i in $(PYTHON3S) ; do \
		python3 setup.py install -f --install-layout=deb --root=$(CURDIR)/debian/tmp ; \
	done
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages pkgos-dh_auto_test --no-py2
endif
	mkdir -p $(CURDIR)/debian/glance-store-common/etc/glance
	mv $(CURDIR)/debian/tmp/usr/etc/glance/* $(CURDIR)/debian/glance-store-common/etc/glance
	rmdir $(CURDIR)/debian/tmp/usr/etc/glance
	rmdir $(CURDIR)/debian/tmp/usr/etc

override_dh_auto_test:
	echo "Do nothing..."

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx $(SPHINXOPTS) -b html doc/source debian/python-glance-store-doc/usr/share/doc/python-glance-store-doc/html
	dh_sphinxdoc
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## python-glance-store 2.3.1

=== debian/changelog ===
python-glance-store (2.3.1-2~bpo11+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * CVE-2023-2088: Unauthorized volume access through deleted volume
    attachments. Applied upstream patch: Add force to os-brick disconnect.
    (Closes: #1035978).
  * Temporarily disable CVE-2023-2088 patch as there's some regressions.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bullseye-victoria.infomaniak.ch>  Thu, 01 Jun 2023 13:52:38 +0000

python-glance-store (2.3.1-1) UNRELEASED; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 31 Jan 2022 11:51:17 +0100

## python-glance-store 2.5.0

=== debian/changelog ===
python-glance-store (2.5.0-0ubuntu2) hirsute; urgency=medium

  * d/gbp.conf: Create stable/wallaby branch.
  * d/p/s3-optimize-write-chunksize.patch: Cherry-picked from upstream
    to fix S3 write performance (LP: #1934849).

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 19 Jul 2021 14:07:21 -0400

python-glance-store (2.5.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release for OpenStack Wallaby.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Wed, 17 Mar 2021 13:29:01 +0000

python-glance-store (2.4.0-0ubuntu1) hirsute; urgency=medium

  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.
  * New upstream release for OpenStack Wallaby.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Thu, 03 Dec 2020 13:06:14 +0000

python-glance-store (2.3.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Thu, 03 Sep 2020 07:00:37 +0000

python-glance-store (2.1.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Fri, 24 Jul 2020 10:02:40 +0000

=== debian/control ===
Source: python-glance-store
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Corey Bryant <corey.bryant@canonical.com>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 python3-boto (>= 2.32.1),
 python3-boto3 (>= 1.9.199),
 python3-cinderclient (>= 1:4.1.0),
 python3-coverage (>= 4.0),
 python3-debtcollector,
 python3-doc8 (>= 0.6.0),
 python3-eventlet (>= 0.18.2),
 python3-fixtures (>= 3.0.0),
 python3-gridfs,
 python3-hacking (>= 1.1.0),
 python3-httplib2 (>= 0.9.1),
 python3-jsonschema (>= 3.2.0),
 python3-keystoneauth1 (>= 3.4.0),
 python3-keystoneclient (>= 1:3.8.0),
 python3-mock (>= 2.0.0),
 python3-openstackdocstheme (>= 2.2.1),
 python3-os-brick (>= 2.6.0),
 python3-os-testr (>= 1.0.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.privsep (>= 1.23.0),
 python3-oslo.rootwrap (>= 5.8.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 4.7.0),
 python3-oslo.vmware (>= 2.17.0),
 python3-oslotest (>= 1:3.2.0),
 python3-pymongo,
 python3-reno (>= 2.11.2),
 python3-requests (>= 2.14.2),
 python3-requests-mock (>= 1.2.0),
 python3-six (>= 1.11.0),
 python3-sphinxcontrib.apidoc (>= 0.2.0),
 python3-stestr (>= 2.0.0),
 python3-stevedore (>= 1:1.20.0),
 python3-subunit (>= 1.0.0),
 python3-swiftclient (>= 1:3.2.0),
 python3-testrepository (>= 0.0.18),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 subunit,
Standards-Version: 4.4.1
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=openstack/python-glance-store.git
Vcs-Git: https://anonscm.debian.org/git/openstack/python-glance-store.git
Homepage: https://github.com/openstack/glance_store
Testsuite: autopkgtest-pkg-python

Package: python-glance-store-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack Image Service store library - doc
 The Glance project provides services for discovering, registering, and
 retrieving virtual machine images over the cloud. They may be stand-alone
 services, or may be used to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the documentation.

Package: python3-glance-store
Architecture: all
Depends:
 python3-cinderclient (>= 1:3.3.0),
 python3-debtcollector,
 python3-eventlet (>= 0.18.2),
 python3-httplib2,
 python3-jsonschema (>= 3.2.0),
 python3-keystoneauth1 (>= 3.4.0),
 python3-keystoneclient (>= 1:3.8.0),
 python3-os-brick (>= 2.2.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.privsep (>= 1.23.0),
 python3-oslo.rootwrap (>= 5.8.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 4.7.0),
 python3-oslo.vmware (>= 2.17.0),
 python3-pbr (>= 2.0.0),
 python3-requests (>= 2.14.2),
 python3-six (>= 1.11.0),
 python3-stevedore (>= 1:1.20.0),
 python3-swiftclient,
 ${misc:Depends},
 ${python3:Depends},
Breaks:
 glance-store-common (<< 0.28.0-0ubuntu3~),
Replaces:
 glance-store-common (<< 0.28.0-0ubuntu3~),
Description: OpenStack Image Service store library - Python 3.x
 The Glance project provides services for discovering, registering, and
 retrieving virtual machine images over the cloud. They may be stand-alone
 services, or may be used to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the Python 3.x module for the Glance's stores.

## python-glance-store 2.7.0

=== debian/changelog ===
python-glance-store (2.7.0-0ubuntu1~cloud2) focal-xena; urgency=medium

  * SECURITY REGRESSION: Regressions in other projects (LP: #2020111)
    - debian/patches/series: Do not apply CVE-2023-2088.patch until
      patches are ready for all upstream OpenStack projects.
    - CVE-2023-2088

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 18 May 2023 12:03:54 -0400

python-glance-store (2.7.0-0ubuntu1~cloud1) focal-xena; urgency=medium

  * d/gbp.conf: Create stable/xena branch.
  * SECURITY UPDATE: Unauthorized File Access
    - debian/patches/CVE-2023-2088.patch: Add force to os-brick
      disconnect.
    - CVE-2023-2088

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 10 May 2023 09:07:51 -0400

python-glance-store (2.7.0-0ubuntu1~cloud0) focal-xena; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 07 Sep 2021 20:27:22 +0000

python-glance-store (2.7.0-0ubuntu1) impish; urgency=medium

  * New upstream release for OpenStack Xena.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 07 Sep 2021 14:51:14 -0400

python-glance-store (2.6.0-0ubuntu1) impish; urgency=medium

  * New upstream release for OpenStack Xena.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 19 Jul 2021 13:55:21 -0400

## python-glance-store 3.0.0

=== requirements.txt ===
--- 
+++ 
@@ -4,11 +4,11 @@
 oslo.config>=5.2.0 # Apache-2.0
 oslo.i18n>=3.15.3 # Apache-2.0
 oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
-oslo.utils>=3.33.0 # Apache-2.0
+oslo.utils>=4.7.0 # Apache-2.0
 oslo.concurrency>=3.26.0 # Apache-2.0
 stevedore>=1.20.0 # Apache-2.0
 eventlet!=0.18.3,!=0.20.1,>=0.18.2 # MIT
-six>=1.10.0 # MIT
+six>=1.11.0 # MIT
 
 jsonschema>=3.2.0 # MIT
 keystoneauth1>=3.4.0 # Apache-2.0

=== debian/changelog ===
python-glance-store (3.0.0-0ubuntu1) jammy; urgency=medium

  * New upstream release for OpenStack Yoga.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 01 Mar 2022 14:03:38 -0500

=== debian/rules ===
--- 
+++ 
@@ -19,16 +19,11 @@
 	echo "Do nothing..."
 
 override_dh_auto_install:
-	for i in $(PYTHON3S) ; do \
-		python3 setup.py install -f --install-layout=deb --root=$(CURDIR)/debian/tmp ; \
-	done
+	pkgos-dh_auto_install --no-py2
+
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages pkgos-dh_auto_test --no-py2
+	PYTHONPATH=$(CURDIR)/debian/python3-glance-store/usr/lib/python3/dist-packages pkgos-dh_auto_test --no-py2
 endif
-	mkdir -p $(CURDIR)/debian/glance-store-common/etc/glance
-	mv $(CURDIR)/debian/tmp/usr/etc/glance/* $(CURDIR)/debian/glance-store-common/etc/glance
-	rmdir $(CURDIR)/debian/tmp/usr/etc/glance
-	rmdir $(CURDIR)/debian/tmp/usr/etc
 
 override_dh_auto_test:
 	echo "Do nothing..."

## python-glance-store 3.0.1

=== debian/changelog ===
python-glance-store (3.0.1-1~bpo11+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.
  * Removed patch applied upstream:
    - CVE-2023-2088_add_force_to_os-brick_disconnect.patch

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bullseye-xena.infomaniak.ch>  Thu, 02 Oct 2025 10:12:11 +0000

python-glance-store (3.0.0-3) UNRELEASED; urgency=medium

  * CVE-2023-2088: Unauthorized volume access through deleted volume
    attachments. Applied upstream patch: Add force to os-brick disconnect.
    (Closes: #1035978).

 -- Thomas Goirand <zigo@debian.org>  Fri, 12 May 2023 09:09:20 +0200

python-glance-store (3.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 24 Mar 2022 12:10:35 +0100

python-glance-store (3.0.0-1) experimental; urgency=medium

  * New upstream releasse.

 -- Thomas Goirand <zigo@debian.org>  Fri, 18 Feb 2022 16:58:57 +0100

python-glance-store (2.7.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Sep 2021 10:27:29 +0200

python-glance-store (2.7.0-1) experimental; urgency=medium

  [ Mickael Asseline ]
  * New upstream release.
  * Added myself in copyright and uploaders.
  * Added python3-retrying to build-depends.

 -- Thomas Goirand <zigo@debian.org>  Tue, 24 Aug 2021 10:15:46 +0200

python-glance-store (2.5.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 08:42:02 +0200

python-glance-store (2.5.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 14 Mar 2021 16:17:54 +0100

## python-glance-store 4.1.0

=== requirements.txt ===
--- 
+++ 
@@ -8,7 +8,6 @@
 oslo.concurrency>=3.26.0 # Apache-2.0
 stevedore>=1.20.0 # Apache-2.0
 eventlet!=0.18.3,!=0.20.1,>=0.18.2 # MIT
-six>=1.11.0 # MIT
 
 jsonschema>=3.2.0 # MIT
 keystoneauth1>=3.4.0 # Apache-2.0

=== debian/changelog ===
python-glance-store (4.1.0-4) unstable; urgency=medium

  * CVE-2023-2088: Unauthorized volume access through deleted volume
    attachments. Applied upstream patch: Add force to os-brick disconnect.
    (Closes: #1035978).

 -- Thomas Goirand <zigo@debian.org>  Fri, 12 May 2023 08:52:34 +0200

python-glance-store (4.1.0-3) unstable; urgency=medium

  * Add OverflowError_running_on_32-bit_systems.patch.

 -- Thomas Goirand <zigo@debian.org>  Sat, 01 Oct 2022 19:58:18 +0200

python-glance-store (4.1.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Sep 2022 09:07:49 +0200

python-glance-store (4.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Add autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Aug 2022 17:28:59 +0200

=== debian/control ===
Source: python-glance-store
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Corey Bryant <corey.bryant@canonical.com>,
 Michal Arbet <michal.arbet@ultimum.io>,
 Mickael Asseline <mickael@papamica.com>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-boto,
 python3-boto3,
 python3-cinderclient (>= 1:4.1.0),
 python3-coverage,
 python3-eventlet,
 python3-fixtures,
 python3-gridfs,
 python3-hacking,
 python3-httplib2,
 python3-jsonschema (>= 3.2.0),
 python3-keystoneauth1,
 python3-keystoneclient,
 python3-openstackdocstheme,
 python3-os-brick (>= 2.6.0),
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.i18n,
 python3-oslo.privsep,
 python3-oslo.rootwrap,
 python3-oslo.serialization,
 python3-oslo.utils (>= 4.7.0),
 python3-oslo.vmware,
 python3-oslotest,
 python3-pymongo,
 python3-requests,
 python3-requests-mock,
 python3-retrying,
 python3-six,
 python3-sphinxcontrib.apidoc,
 python3-stestr,
 python3-stevedore,
 python3-subunit,
 python3-swiftclient,
 python3-testscenarios,
 python3-testtools,
 subunit,
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-glance-store
Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-glance-store.git
Homepage: https://github.com/openstack/glance_store

Package: glance-store-common
Architecture: all
Depends:
 ${misc:Depends},
Description: OpenStack Image Service store library - common files
 The Glance project provides services for discovering, registering, and
 retrieving virtual machine images over the cloud. They may be stand-alone
 services, or may be used to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains shared configuration files for the Glance's stores.

Package: python-glance-store-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack Image Service store library - doc
 The Glance project provides services for discovering, registering, and
 retrieving virtual machine images over the cloud. They may be stand-alone
 services, or may be used to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the documentation.

Package: python3-glance-store
Architecture: all
Depends:
 glance-store-common (= ${binary:Version}),
 python3-cinderclient (>= 1:4.1.0),
 python3-eventlet,
 python3-httplib2,
 python3-jsonschema (>= 3.2.0),
 python3-keystoneauth1,
 python3-keystoneclient,
 python3-os-brick (>= 2.6.0),
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.i18n,
 python3-oslo.privsep,
 python3-oslo.rootwrap,
 python3-oslo.serialization,
 python3-oslo.utils (>= 4.7.0),
 python3-oslo.vmware,
 python3-pbr,
 python3-requests,
 python3-six,
 python3-stevedore,
 python3-swiftclient,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Image Service store library - Python 3.x
 The Glance project provides services for discovering, registering, and
 retrieving virtual machine images over the cloud. They may be stand-alone
 services, or may be used to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the Python 3.x module for the Glance's stores.

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/openstack/glance_store/tags .*/(\d[\d\.]+)\.tar\.gz

## python-glance-store 4.3.0

=== debian/changelog ===
python-glance-store (4.3.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed dependency versions satisfied in Bookworm.
  * Removed OverflowError_running_on_32-bit_systems.patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Tue, 21 Feb 2023 14:58:25 +0100

## python-glance-store 4.3.1

=== debian/changelog ===
python-glance-store (4.3.1-4) unstable; urgency=medium

  * Cleans better (Closes: #1048440).

 -- Thomas Goirand <zigo@debian.org>  Tue, 22 Aug 2023 10:50:46 +0200

python-glance-store (4.3.1-3) unstable; urgency=medium

  * New upstream release:
    - include CVE-2023-2088 patch.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Jun 2023 10:36:54 +0200

python-glance-store (4.3.0-2) experimental; urgency=medium

  * CVE-2023-2088: Unauthorized volume access through deleted volume
    attachments. Applied upstream patch: Add force to os-brick disconnect.
    (Closes: #1035978).

 -- Thomas Goirand <zigo@debian.org>  Fri, 12 May 2023 08:46:22 +0200

## python-glance-store 4.6.0

=== debian/changelog ===
python-glance-store (4.6.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 29 Aug 2023 16:15:05 +0200
